from netq_backend.modules.events import (
    EventCounts,
    EventMessages
)
from netq_backend.modules.query import NetqQuery
from netq_backend.modules.trace import NetqTrace
from netq_backend.modules.ping import Ping

def get_urls():
    eventCounts = EventCounts()
    eventMessages = EventMessages()
    netqTrace = NetqTrace()
    netqQuery = NetqQuery()
    ping = Ping()

    urls = {
        '/webapi/v1/event/counts':  eventCounts,
        '/webapi/v1/event/messages' : eventMessages,
        '/webapi/v1/trace': netqTrace,
        '/webapi/v1/query' : netqQuery,
        '/webapi/v1/ping' : ping,
    }
    return urls
