import falcon
import json

def get_request_data(req):
    data = {}

    if req.content_length == 0:
        raise falcon.HTTPBadRequest('Missing Data', 'Missing Request data....')

    try:
        data = json.loads(req.stream.read(req.content_length).decode())
    except ValueError as e:
        raise falcon.HTTPBadRequest('JSON Data expected',
                                    'Invalid POST Data. Expected json request')

    assert isinstance(data, dict)

    return data

def get_time(req_data):
    '''
    parse request data to return timestamp
    {
       'startTime'
       'endTime'
       'timeInterval'
    }

    if fields aren't define, function returns None
    '''
    start_time = None
    end_time = None
    interval = None

    if not isinstance(req_data, dict):
        return (start_time, end_time)

    start_time = req_data.get('startTime', None)
    end_time = req_data.get('endTime', None)
    interval = req_data.get('timeInterval', None)

    return (start_time, end_time, interval)

