from __future__ import absolute_import
import falcon
import argparse
import time
import sys
import json

class Ping(object):
    def on_post(self, req, resp):
        try:
            req_data = get_request_data(req)
        except Exception as e:
            resp.status = falcon.HTTP_400
            resp.content_type = 'application/json'
            resp.data = json.dumps('Invalid POST data')
            return

        resp_data = {
            "request": req_data,
            "timestamp": int(time.time())
        }
        resp.status = falcon.HTTP_200
        resp.content_type = 'application/json'
        resp.data = json.dumps(resp_data)
        return

    def on_get(self, req, resp):
        resp_data = {
            "timestamp": int(time.time())
        }
        resp.status = falcon.HTTP_200
        resp.content_type = 'application/json'
        resp.data = json.dumps(resp_data)
        return
